:tocdepth: 3

Reference
---------

Base classes
^^^^^^^^^^^^

.. autoclass:: plotpy.tools.base.GuiTool
   :members:
.. autoclass:: plotpy.tools.base.GuiToolT
   :members:
.. autoclass:: plotpy.tools.InteractiveTool
   :members:
.. autoclass:: plotpy.tools.CommandTool
   :members:
.. autoclass:: plotpy.tools.ActionTool
   :members:
.. autoclass:: plotpy.tools.PanelTool
   :members:

Plot tools
^^^^^^^^^^

.. autoclass:: plotpy.tools.DoAutoscaleTool
   :members:
.. autoclass:: plotpy.tools.DisplayCoordsTool
   :members:
.. autoclass:: plotpy.tools.RectZoomTool
   :members:
.. autoclass:: plotpy.tools.DummySeparatorTool
   :members:
.. autoclass:: plotpy.tools.RectangularSelectionTool
   :members:

Item tools
^^^^^^^^^^

.. autoclass:: plotpy.tools.SelectTool
   :members:
.. autoclass:: plotpy.tools.ItemListPanelTool
   :members:
.. autoclass:: plotpy.tools.SaveItemsTool
   :members:
.. autoclass:: plotpy.tools.LoadItemsTool
   :members:
.. autoclass:: plotpy.tools.ExportItemDataTool
   :members:
.. autoclass:: plotpy.tools.EditItemDataTool
   :members:
.. autoclass:: plotpy.tools.ItemCenterTool
   :members:
.. autoclass:: plotpy.tools.DeleteItemTool
   :members:

Shape tools
^^^^^^^^^^^

.. autoclass:: plotpy.tools.MultiLineTool
   :members:
.. autoclass:: plotpy.tools.PolygonTool
   :members:
.. autoclass:: plotpy.tools.LabelTool
   :members:
.. autoclass:: plotpy.tools.RectangularShapeTool
   :members:
.. autoclass:: plotpy.tools.RectangleTool
   :members:
.. autoclass:: plotpy.tools.PointTool
   :members:
.. autoclass:: plotpy.tools.SegmentTool
   :members:
.. autoclass:: plotpy.tools.CircleTool
   :members:
.. autoclass:: plotpy.tools.EllipseTool
   :members:
.. autoclass:: plotpy.tools.AnnotatedRectangleTool
   :members:
.. autoclass:: plotpy.tools.AnnotatedCircleTool
   :members:
.. autoclass:: plotpy.tools.AnnotatedEllipseTool
   :members:
.. autoclass:: plotpy.tools.AnnotatedPointTool
   :members:
.. autoclass:: plotpy.tools.AnnotatedSegmentTool
   :members:
.. autoclass:: plotpy.tools.AnnotatedPolygonTool
   :members:
.. autoclass:: plotpy.tools.HRangeTool
   :members:

Curve tools
^^^^^^^^^^^

.. autoclass:: plotpy.tools.CurveStatsTool
   :members:
.. autoclass:: plotpy.tools.YRangeCursorTool
   :members:
.. autoclass:: plotpy.tools.SelectPointTool
   :members:
.. autoclass:: plotpy.tools.SelectPointsTool
   :members:
.. autoclass:: plotpy.tools.EditPointTool
   :members:

Image tools
^^^^^^^^^^^

.. autoclass:: plotpy.tools.ImageStatsTool
   :members:
.. autoclass:: plotpy.tools.RotationCenterTool
   :members:
.. autoclass:: plotpy.tools.ReverseYAxisTool
   :members:
.. autoclass:: plotpy.tools.ZAxisLogTool
   :members:
.. autoclass:: plotpy.tools.AspectRatioTool
   :members:
.. autoclass:: plotpy.tools.ContrastPanelTool
   :members:
.. autoclass:: plotpy.tools.ColormapTool
   :members:
.. autoclass:: plotpy.tools.ReverseColormapTool
   :members:
.. autoclass:: plotpy.tools.LockLUTRangeTool
   :members:
.. autoclass:: plotpy.tools.XCSPanelTool
   :members:
.. autoclass:: plotpy.tools.YCSPanelTool
   :members:
.. autoclass:: plotpy.tools.CrossSectionTool
   :members:
.. autoclass:: plotpy.tools.AverageCrossSectionTool
   :members:
.. autoclass:: plotpy.tools.LineCrossSectionTool
   :members:
.. autoclass:: plotpy.tools.ImageMaskTool
   :members:

Curve tools
^^^^^^^^^^^

.. autoclass:: plotpy.tools.AntiAliasingTool
   :members:
.. autoclass:: plotpy.tools.DownSamplingTool
   :members:

Axes tools
^^^^^^^^^^

.. autoclass:: plotpy.tools.AxisScaleTool
   :members:
.. autoclass:: plotpy.tools.PlaceAxesTool
   :members:

Miscellaneous tools
^^^^^^^^^^^^^^^^^^^

.. autoclass:: plotpy.tools.SaveAsTool
   :members:
.. autoclass:: plotpy.tools.CopyToClipboardTool
   :members:
.. autoclass:: plotpy.tools.OpenFileTool
   :members:
.. autoclass:: plotpy.tools.OpenImageTool
   :members:
.. autoclass:: plotpy.tools.SnapshotTool
   :members:
.. autoclass:: plotpy.tools.PrintTool
   :members:
.. autoclass:: plotpy.tools.HelpTool
   :members:
